module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChartField
            class Multiseries < Common::Content::DoubleModel
              passkey     :id
              passthrough :patch_ver
              passthrough :register_id, :source_type

              passthrough :xinput, :xlabel
              passthrough :interval, :calc_mode

              passthrough :yinput, :ylabel
              passthrough :facet_by_discrete, :discrete_facet
              passthrough :facet_by_tags
              passarray   :facet_tags

              passarray   :filters, :people_filters, :task_filters, order_matters: false

              passthrough :display_mode, :display_type
              passthrough :color
              passarray   :color_map
            end
          end
        end
      end
    end
  end
end
