module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChartFrField < Page::Component
            passthrough :register_id, :date_input
            passthrough :filter

            passthrough :facet_by_tags, :facet_by_select
            passthrough :select_input, :select_mapping
            passarray   :facet_tags

            passthrough :relative, :relstart, :relbound
            passthrough :bounded, :ubound, :lbound

            passthrough :display_mode, :display_type
            passarray   :guidelines
            passthrough :cumulative, :cumulative_mode, :cumulative_start
            passthrough :multiplier, :granularity

            passthrough :color
            passarray   :color_map, order_matters: false

            passthrough :chart_user

          end
        end
      end
    end
  end
end
