module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChecklistItem < Common::Content::DoubleModel

            class << self
              def new_doc
                {
                  "id"     => new_uuid,
                  "weight" => 9999
                }
              end
            end
            
            passkey     :id
            passthrough :patch_ver, :label
            passthrough :weight, :checked
          end
        end
      end
    end
  end
end
