module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ImagesField < Page::Component

            class << self
              def new_doc
                {
                  "layout" => "third"
                }
              end
            end

            passthrough :layout, :strech, :no_popup, :hide_options
            embeds_many :images, klass: "Ecoportal::API::V2::Page::Image", order_key: :weight
          end
        end
      end
    end
  end
end
