module Ecoportal
  module API
    class V2
      class Page
        class Component
          class PeopleField < Page::Component
            passthrough :is_me_button, :attach_mode
            passthrough :person_schema_id
            pass_reader :viewable_fields
            passthrough :singular, :requires_number
            passarray   :people_ids
            pass_reader :cached_people
            passthrough :attached_people_permissions_enabled, :apply_attached_people_permissions_to
            passthrough :attached_people_permissions_editable, :attached_people_permissions_flags

            def add(id)
              people_ids << id
            end

          end
        end
      end
    end
  end
end
