module Ecoportal
  module API
    class V2
      class Page
        class Component
          class Action < Common::Content::DoubleModel
            class << self
              def new_doc
                {
                  "id"     => new_uuid,
                  "weight" => 9999
                }
              end
            end
            
            passkey     :id
            passthrough :patch_ver, :name
            passthrough :weight, :complete, :other_information
            passdate    :due_date
            pass_reader :overdue
            passdate    :created_at, read_only: true #, :completed_at
            pass_reader :created_by, :assigned_person_member_id
          end
        end
      end
    end
  end
end
