module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChartField
            class Indicator < Common::Content::DoubleModel
              passkey     :id
              passthrough :patch_ver
              passthrough :register_id, :source_type

              passthrough :date_input, :secondary
              passthrough :duration, :math_mode, :currency

              passthrough :display_previous, :change_format, :invert_colors

              passarray   :filters, :people_filters, :task_filters, order_matters: false

              passthrough :color
            end
          end
        end
      end
    end
  end
end
