module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChartField
            class Serie < Common::Content::DoubleModel
              passkey     :id
              passthrough :patch_ver
              passthrough :register_id

              passthrough :input, :type
              passarray   :y_axes

              passthrough :visual, :stacked

              passarray   :filters, :people_filters, :task_filters, order_matters: false

              passthrough :color
            end
          end
        end
      end
    end
  end
end
