module Ecoportal
  module API
    class V2
      class Page
        class Component
          class SelectionOption < Common::Content::DoubleModel
            
            class << self
              def new_doc
                {
                  "id"     => new_uuid,
                  "weight" => 9999
                }
              end
            end

            passkey     :id
            passthrough :patch_ver, :name, :value
            passthrough :weight, :selected
          end
        end
      end
    end
  end
end
