module Ecoportal
  module API
    class V2
      class Page
        class Component
          class SignatureField < Page::Component

            class << self
              def new_doc
                {
                  "color" => "#000000"
                }
              end
            end

            passthrough :signed_by_id, :signed_by_name, :signature_url
            passdate    :signature_updated_at
            passthrough :signature_content, :color

          end
        end
      end
    end
  end
end
