module Ecoportal
  module API
    class V2
      class Pages
        class PageStage < V2::Page
          passthrough :mould_counter, :archive
          passthrough :task_priority, :state
          passthrough :votes_enabled, :upvotes, :downvotes

          passarray   :force_errors, :subtags, :permits, order_matters: false
          passthrough :evolution
        end
      end
    end
  end
end
